Debian Bug report logs - #649177
Add breaks on update-inetd when #649174 is fixed

version graph

Package: perl-base; Maintainer for perl-base is Niko Tyni <ntyni@debian.org>; Source for perl-base is src:perl.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Fri, 18 Nov 2011 14:33:07 UTC

Severity: important

Found in version perl/5.14.2-5

Fixed in version perl/5.14.2-6

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#649177; Package perl-base. (Fri, 18 Nov 2011 14:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Niko Tyni <ntyni@debian.org>. (Fri, 18 Nov 2011 14:33:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Colin Watson <cjwatson@ubuntu.com>, 649174@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Add breaks on update-inetd when #649174 is fixed
Date: Fri, 18 Nov 2011 14:32:52 +0000
Package: perl-base
Version: 5.14.2-5
Severity: serious
Justification: maintainer

On Fri, Nov 18, 2011 at 02:14:05PM +0000, Colin Watson wrote:
> There are a few situations where it's possible for update-inetd to be
> called in the middle of an upgrade from one Perl major version to the
> next: for example, https://bugs.launchpad.net/bugs/862129 turned out to
> be a case where the samba postrm was called in such a situation.  If
> that happens, then any modules provided by the perl-modules package will
> be unavailable.  This includes File::Temp and File::Copy, both of which
> are used by update-inetd.
> 
> It would be very helpful for update-inetd to work even when only
> perl-base is available.  I appreciate that this requires slightly more
> complex code, but it would make the whole system more robust during
> upgrades.
> 
> Here's a suggested patch to implement this.  It implements fallback
> versions of the 'tempfile' and 'move' functions if the module versions
> are unavailable.  These will be a bit slower since they involve calling
> external programs, but at least the complexity is all kept up in the
> part of the code that imports modules rather than polluting the main
> body of DebianNet.pm.
> 
> I've tested this by performing an upgrade from Ubuntu oneiric to precise
> (which involves an upgrade from perl 5.12 to 5.14), pausing it
> immediately after perl-base is configured, and then running update-inetd
> --add and --remove.  Without this patch, it fails with "Can't locate
> File/Temp.pm in @INC"; with this patch, it behaves as expected (and
> strace output looks sensible as well).
> 
> Making this truly robust will probably also involve having perl-base
> declare Breaks on versions of update-inetd prior to this patch being
> applied.  I've CCed perl@packages.debian.org in case they'd like to
> comment on this.

Only that I think that I ought to hold off on adding more Breaks
for a little while longer, otherwise I risk an explosion in the number
of small updates to perl. I was in two minds about whether to upload
5.14.2-5 straight away or whether to wait..

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Added blocking bug(s) of 649177: 649174 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Fri, 18 Nov 2011 14:36:07 GMT) Full text and rfc822 format available.

Added indication that bug 649177 blocks 637809 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Fri, 18 Nov 2011 14:36:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#649177; Package perl-base. (Fri, 18 Nov 2011 14:48:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Fri, 18 Nov 2011 14:48:12 GMT) Full text and rfc822 format available.

Message #14 received at 649177@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Dominic Hargreaves <dom@earth.li>
Cc: 649174@bugs.debian.org, 649177@bugs.debian.org
Subject: Re: Add breaks on update-inetd when #649174 is fixed
Date: Fri, 18 Nov 2011 14:47:17 +0000
On Fri, Nov 18, 2011 at 02:32:52PM +0000, Dominic Hargreaves wrote:
> Package: perl-base
> Version: 5.14.2-5
> Severity: serious
> Justification: maintainer

Thanks.

> On Fri, Nov 18, 2011 at 02:14:05PM +0000, Colin Watson wrote:
> > Making this truly robust will probably also involve having perl-base
> > declare Breaks on versions of update-inetd prior to this patch being
> > applied.  I've CCed perl@packages.debian.org in case they'd like to
> > comment on this.
> 
> Only that I think that I ought to hold off on adding more Breaks
> for a little while longer, otherwise I risk an explosion in the number
> of small updates to perl. I was in two minds about whether to upload
> 5.14.2-5 straight away or whether to wait..

Yep.  I suspect the impact of this is a bit less widespread than the
doc-base one anyway.

-- 
Colin Watson                                       [cjwatson@ubuntu.com]




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#649177; Package perl-base. (Mon, 21 Nov 2011 17:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Mon, 21 Nov 2011 17:36:07 GMT) Full text and rfc822 format available.

Message #19 received at 649177@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Colin Watson <cjwatson@ubuntu.com>, 649177@bugs.debian.org
Cc: 649174@bugs.debian.org, control@bugs.debian.org, 637809@bugs.debian.org
Subject: Re: Bug#649177: Add breaks on update-inetd when #649174 is fixed
Date: Mon, 21 Nov 2011 17:34:23 +0000
severity 649177 important
severity 649174 important
unblock 637809 by 649177
thanks

On Fri, Nov 18, 2011 at 02:47:17PM +0000, Colin Watson wrote:
> On Fri, Nov 18, 2011 at 02:32:52PM +0000, Dominic Hargreaves wrote:
> > Package: perl-base
> > Version: 5.14.2-5
> > Severity: serious
> > Justification: maintainer
> 
> Thanks.
> 
> > On Fri, Nov 18, 2011 at 02:14:05PM +0000, Colin Watson wrote:
> > > Making this truly robust will probably also involve having perl-base
> > > declare Breaks on versions of update-inetd prior to this patch being
> > > applied.  I've CCed perl@packages.debian.org in case they'd like to
> > > comment on this.
> > 
> > Only that I think that I ought to hold off on adding more Breaks
> > for a little while longer, otherwise I risk an explosion in the number
> > of small updates to perl. I was in two minds about whether to upload
> > 5.14.2-5 straight away or whether to wait..
> 
> Yep.  I suspect the impact of this is a bit less widespread than the
> doc-base one anyway.

Okay. I've tweaked the severities of both bugs related to this
issue, and unblocked the perl transition, to reflect the
not-quite-blocking-perl-transition status.

Serafeim: thanks for your response on this. Depending on how things
progress this week, we might be able to include a Breaks: before
perl transitions to testing.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Severity set to 'important' from 'serious' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 21 Nov 2011 17:36:11 GMT) Full text and rfc822 format available.

Removed indication that bug 649177 blocks 637809 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 21 Nov 2011 17:36:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#649177; Package perl-base. (Mon, 21 Nov 2011 23:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Mon, 21 Nov 2011 23:12:08 GMT) Full text and rfc822 format available.

Message #28 received at 649177@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Colin Watson <cjwatson@ubuntu.com>, 649177@bugs.debian.org
Cc: 649174@bugs.debian.org
Subject: Re: Bug#649177: Add breaks on update-inetd when #649174 is fixed
Date: Mon, 21 Nov 2011 23:08:09 +0000
On Mon, Nov 21, 2011 at 05:34:23PM +0000, Dominic Hargreaves wrote:
> severity 649177 important
> severity 649174 important
> unblock 637809 by 649177
> thanks
> 
> On Fri, Nov 18, 2011 at 02:47:17PM +0000, Colin Watson wrote:
> > On Fri, Nov 18, 2011 at 02:32:52PM +0000, Dominic Hargreaves wrote:
> > > Package: perl-base
> > > Version: 5.14.2-5
> > > Severity: serious
> > > Justification: maintainer
> > 
> > Thanks.
> > 
> > > On Fri, Nov 18, 2011 at 02:14:05PM +0000, Colin Watson wrote:
> > > > Making this truly robust will probably also involve having perl-base
> > > > declare Breaks on versions of update-inetd prior to this patch being
> > > > applied.  I've CCed perl@packages.debian.org in case they'd like to
> > > > comment on this.
> > > 
> > > Only that I think that I ought to hold off on adding more Breaks
> > > for a little while longer, otherwise I risk an explosion in the number
> > > of small updates to perl. I was in two minds about whether to upload
> > > 5.14.2-5 straight away or whether to wait..
> > 
> > Yep.  I suspect the impact of this is a bit less widespread than the
> > doc-base one anyway.
> 
> Okay. I've tweaked the severities of both bugs related to this
> issue, and unblocked the perl transition, to reflect the
> not-quite-blocking-perl-transition status.
> 
> Serafeim: thanks for your response on this. Depending on how things
> progress this week, we might be able to include a Breaks: before
> perl transitions to testing.

Transition has now completed; let me know when this does get fixed,
though.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#649177; Package perl-base. (Wed, 23 Nov 2011 08:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Wed, 23 Nov 2011 08:57:06 GMT) Full text and rfc822 format available.

Message #33 received at 649177@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 649174@bugs.debian.org
Cc: Colin Watson <cjwatson@ubuntu.com>, 649177@bugs.debian.org
Subject: Re: Bug#649174: Bug#649177: Add breaks on update-inetd when #649174 is fixed
Date: Tue, 22 Nov 2011 23:39:09 +0100
Hi Dominic,

On Mon, Nov 21, 2011 at 11:08:09PM +0000, Dominic Hargreaves wrote [edited]:
> Transition has now completed; let me know when this does get fixed,
> though.

I've just uploaded update-inetd 4.41 with Colin's patch.

cheers,
sez




Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Thu, 24 Nov 2011 15:45:06 GMT) Full text and rfc822 format available.

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Mon, 28 Nov 2011 22:39:04 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Mon, 28 Nov 2011 22:39:04 GMT) Full text and rfc822 format available.

Message #40 received at 649177-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 649177-close@bugs.debian.org
Subject: Bug#649177: fixed in perl 5.14.2-6
Date: Mon, 28 Nov 2011 22:37:46 +0000
Source: perl
Source-Version: 5.14.2-6

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.14.2-6_all.deb
  to main/p/perl/libcgi-fast-perl_5.14.2-6_all.deb
libperl-dev_5.14.2-6_i386.deb
  to main/p/perl/libperl-dev_5.14.2-6_i386.deb
libperl5.14_5.14.2-6_i386.deb
  to main/p/perl/libperl5.14_5.14.2-6_i386.deb
perl-base_5.14.2-6_i386.deb
  to main/p/perl/perl-base_5.14.2-6_i386.deb
perl-debug_5.14.2-6_i386.deb
  to main/p/perl/perl-debug_5.14.2-6_i386.deb
perl-doc_5.14.2-6_all.deb
  to main/p/perl/perl-doc_5.14.2-6_all.deb
perl-modules_5.14.2-6_all.deb
  to main/p/perl/perl-modules_5.14.2-6_all.deb
perl_5.14.2-6.debian.tar.gz
  to main/p/perl/perl_5.14.2-6.debian.tar.gz
perl_5.14.2-6.dsc
  to main/p/perl/perl_5.14.2-6.dsc
perl_5.14.2-6_i386.deb
  to main/p/perl/perl_5.14.2-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 649177@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 28 Nov 2011 19:48:05 +0000
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug libperl5.14 libperl-dev perl
Architecture: source all i386
Version: 5.14.2-6
Distribution: unstable
Urgency: low
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.14 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
Closes: 649177
Changes: 
 perl (5.14.2-6) unstable; urgency=low
 .
   [ Niko Tyni ]
   * debian/rules: correctly handle subject line wraps in patch headers.
 .
   [ Dominic Hargreaves ]
   * Add versioned Conflicts on update-inetd (<< 4.41) (Closes: #649177)
   * Conflict on rather than Break doc-base (<< 0.10.3); aptitude
     runs doc-base triggers before the new version has been unpacked
   * Update Lintian override for perl-module-uses-perl4-libs-without-dep
     to reflect new path to CGI.pm
   * Disable various tests which fail on GNU/Hurd (see #648623)
Checksums-Sha1: 
 35265df62d5a24f5ee16ce555ae3aa9e05034d48 1680 perl_5.14.2-6.dsc
 8c779d42923ea670b06a746b90a213483fb15de3 126398 perl_5.14.2-6.debian.tar.gz
 4259e550c4d7f5587cd809fc9aef715d4242fcda 72214 libcgi-fast-perl_5.14.2-6_all.deb
 b404a685d2b4b98d73a41ebb7863a58047df9dc6 8160656 perl-doc_5.14.2-6_all.deb
 dc5699563590855dc816685de902e6d12af6469a 3437974 perl-modules_5.14.2-6_all.deb
 d8058151ea9a6d32a685115847d1391cea5048f7 1482344 perl-base_5.14.2-6_i386.deb
 654fabd818544eb0843ca5aa761f14df94c4dac3 7757936 perl-debug_5.14.2-6_i386.deb
 d404a8410ce0df378de7054da4a53808355d4e30 724664 libperl5.14_5.14.2-6_i386.deb
 ff6a7b4023750fab6635d8e65a1ff988c09fe9dd 2679708 libperl-dev_5.14.2-6_i386.deb
 e0b770f64ae8372a6cdf5bdc756d959876e3dab6 3697500 perl_5.14.2-6_i386.deb
Checksums-Sha256: 
 57f7032c56c9dd7393d063919c2eec6d05dca74eb74f5234508349412d6f8bd8 1680 perl_5.14.2-6.dsc
 458ba0a70b192eb8a4ed48a85cb1bbfa18eea84a21ec54624ea435fb62426784 126398 perl_5.14.2-6.debian.tar.gz
 15c900a09f38ab7b2975ea827f2991fe720c5457af81b3265617c1b94c1dd79c 72214 libcgi-fast-perl_5.14.2-6_all.deb
 7440e6edf3cf33a56c288dcb05c4b6a5ae68068f31e58685dba5b29796bb6d07 8160656 perl-doc_5.14.2-6_all.deb
 159511f80ad0ab791786fb21c3afa0e0cfa4cc7e95095b1296c57d33e743cb0b 3437974 perl-modules_5.14.2-6_all.deb
 b59e0ef654fe3f2cedd0116fb41cb9141fcde4fd2df63d959538f84de4c511cc 1482344 perl-base_5.14.2-6_i386.deb
 6e406105da8f3c6cd705f89f0e34781e7490026cd81be814bf6dd34f880ee3a6 7757936 perl-debug_5.14.2-6_i386.deb
 7126d48d0eb8d2629467a96ff7dedb0b3a882baa620c70086d4a04aaeace6956 724664 libperl5.14_5.14.2-6_i386.deb
 6c27bfb4a5eb61317df0969241b6e93fe89d97e838be32873ece88cdd9580066 2679708 libperl-dev_5.14.2-6_i386.deb
 86a9567468d17878cb4cdcdc27a0d133e70dcc501733a6c8641014bda2ca90f2 3697500 perl_5.14.2-6_i386.deb
Files: 
 4f249bb47878f58f8431b2726b619165 1680 perl standard perl_5.14.2-6.dsc
 e5bc9daa978c334ad139ba69b62681d2 126398 perl standard perl_5.14.2-6.debian.tar.gz
 970793eb7d194561783e11a2b153d5f5 72214 perl optional libcgi-fast-perl_5.14.2-6_all.deb
 912faed62eb49158a5a7f990ba562572 8160656 doc optional perl-doc_5.14.2-6_all.deb
 722e314f288a2ca75135f92fc7ee9741 3437974 perl standard perl-modules_5.14.2-6_all.deb
 d5b8b1651d0ea2cb6c346891301faea3 1482344 perl required perl-base_5.14.2-6_i386.deb
 9f9e6703f23cdd876d947b447456262e 7757936 debug extra perl-debug_5.14.2-6_i386.deb
 4e2ece515b7dbd862d65db3a4d43449a 724664 libs optional libperl5.14_5.14.2-6_i386.deb
 3d4b7a0dc948770650256e8056de8690 2679708 libdevel optional libperl-dev_5.14.2-6_i386.deb
 2bc57c681f4a0f80744c6d47bcb89b2c 3697500 perl standard perl_5.14.2-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFO1AesYzuFKFF44qURAvTZAKDBi4T/A3Tp1368nUTawKV/BkCyJgCeKe7l
6v2BFwoZwkkz3BQMMlydHfU=
=LD0O
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Jan 2012 07:34:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:21:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.